summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--gis/pdal/README2
-rw-r--r--gis/pdal/pdal.SlackBuild26
-rw-r--r--gis/pdal/pdal.info8
3 files changed, 20 insertions, 16 deletions
diff --git a/gis/pdal/README b/gis/pdal/README
index ebca06e75b..7f086c1e22 100644
--- a/gis/pdal/README
+++ b/gis/pdal/README
@@ -6,4 +6,4 @@ for working with multi-dimensional emitted-pulse scanning systems. While PDAL
is not explicitly limited to working with LiDAR data formats, its initial
rollout is focused in that area.
-Optional dependencies: jsoncpp, laszip.
+Optional dependencies: jsoncpp, laszip, hdf5, OpenSceneGraph.
diff --git a/gis/pdal/pdal.SlackBuild b/gis/pdal/pdal.SlackBuild
index 9d563d739b..8cfe44ee0e 100644
--- a/gis/pdal/pdal.SlackBuild
+++ b/gis/pdal/pdal.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for pdal
-# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# Copyright 2013-2018 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=pdal
SRCNAM=PDAL
-VERSION=${VERSION:-1.6}
+VERSION=${VERSION:-1.7.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -65,10 +65,13 @@ tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# prevent build failure on warnings
+sed -i "/Werror/d" cmake/unix_compiler_options.cmake
mkdir -p build
cd build
@@ -80,18 +83,19 @@ cd build
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib$LIBDIRSUFFIX \
-DBUILD_PGPOINTCLOUD_TESTS=OFF \
- -DBUILD_PLUGIN_PYTHON=ON \
-DBUILD_PLUGIN_PGPOINTCLOUD=ON \
+ -DBUILD_PLUGIN_SQLITE=ON \
..
- make
make install DESTDIR=$PKG
cd ..
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS.txt ChangeLog LICENSE.txt README.md RELEASENOTES.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS.txt ChangeLog LICENSE.txt README.md RELEASENOTES.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/gis/pdal/pdal.info b/gis/pdal/pdal.info
index 40f604e991..987e124ad0 100644
--- a/gis/pdal/pdal.info
+++ b/gis/pdal/pdal.info
@@ -1,10 +1,10 @@
PRGNAM="pdal"
-VERSION="1.6"
+VERSION="1.7.1"
HOMEPAGE="http://pointcloud.org"
-DOWNLOAD="https://github.com/PDAL/PDAL/archive/1.6/PDAL-1.6.tar.gz"
-MD5SUM="efb0c200e1ade74e979f4fa141da63e2"
+DOWNLOAD="https://github.com/PDAL/PDAL/archive/1.7.1/PDAL-1.7.1.tar.gz"
+MD5SUM="a6d329bed833fac439cb544d38143a5e"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="gdal libgeotiff numpy postgresql"
+REQUIRES="gdal libgeotiff postgresql"
MAINTAINER="Benjamin Trigona-Harany"
EMAIL="slackbuilds@jaxartes.net"